mscorlib 2.0.0.0 4.0.0.0 System.Text.DecoderFallback

A common reason for an encoding or decoding operation to fail is if the underlying encoding class does not provide a mapping between a character and an equivalent byte sequence. If an input byte sequence cannot be converted to an output character, a object emits a replacement string into the output to represent the original input byte sequence. The conversion process then continues to decode the remainder of the original input.

The value of a object is the replacement string used to initialize that object.

Provides a failure-handling mechanism, called a fallback, for an encoded input byte sequence that cannot be converted to an output character. The fallback emits a user-specified replacement string instead of a decoded input byte sequence. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  By default, the replacement string that is the value of this object is "?".

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  The parameter initializes the replacement string that is the value of the object. A commonly used value is the Unicode "Replacement Character" (U+FFFD), which is specifically intended to replace an incoming character having a value that is unknown or unrepresentable in Unicode.

  Initializes a new instance of the class using a specified replacement string.

  A string that is emitted in a decoding operation in place of an input byte sequence that cannot be decoded.
- Method
  2.0.0.0
  4.0.0.0
  System.Text.DecoderFallbackBuffer To be added.

  Creates a object that is initialized with the replacement string of this object.

  A object that specifies a string to use instead of the original decoding operation input.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the replacement string that is the value of the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether the value of a specified object is equal to the object.

  true if is a object having a property that is equal to the property of the current object; otherwise, false.

  A object.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  The value of a object is the value of its property.

  Retrieves the hash code for the value of the object.

  The hash code of the value of the object.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of characters in the replacement string for the object.